<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\Detailsreiter\Termine;

class ReiterTerminePresenter extends \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\Termine\ReiterTerminePresenter
{
  protected function getLinkZuKursdetails($datamodul)
  {
    return '';
  }

  protected function getView4AnderenContent($viewModel)
  {
    return new TerminRowView($viewModel);
  }

  
  protected function setColumnHyperLink($pDatamodul, $pColumn)
  {
    
    if ($this->isKursLink($pDatamodul, $pColumn)) {
      $knr = $pDatamodul->getVarValue('knr');
      if ($knr != 'Sperrzeit' && !empty($knr)) {
        $pColumn->hyperlink = 'index.php?tool_id=' . \ToolsAPI::TOOL_RAUMBELEGUNG_HM . '&action=kursdetails&rnr=' . $pDatamodul->kursort->id
                . '&knr=' . $knr;

        $pColumn->textfarbe = '#00275B';
      }
    } 
    
    elseif ($this->isDozentenlink($pColumn)) {
      $knr = $pDatamodul->getVarValue('knr');
      if ($knr != 'Sperrzeit' && !empty($knr)) {
        $pColumn->hyperlink = 'index.php?tool_id=' . \ToolsAPI::TOOL_RAUMBELEGUNG_HM . '&action=kursdetails&rnr=' . $pDatamodul->kursort->id
              . '&knr=' . $knr . '&oeffneReiter=reiterDozenten';
        $pColumn->textfarbe = '#00275B';
      }
    } 
  }

  

  protected function isKursLink($pDataModul, $pColumn)
  {
    return ($pColumn->fieldname == 'knr' && $pColumn->datamodul == 'kurstag');
  }

  

  protected function isDozentenLink($pColumn)
  {
    return ($pColumn->fieldname == 'namevorname' && $pColumn->datamodul == 'dozent');
  }

  
  protected function isAdressLink($pColumn)
  {
  }

  protected function getView()
  {
    return new ReiterTermineView($this->getViewModel());
  }
}